Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libvte9-0.28.2-lp150.2.1 RPM for x86_64

From OpenSuSE Leap 15.0 for x86_64

Name: libvte9 Distribution: openSUSE Leap 15.0
Version: 0.28.2 Vendor: openSUSE
Release: lp150.2.1 Build date: Mon Mar 5 13:00:00 2018
Group: System/Libraries Build host: lamb23
Size: 2209114 Source RPM: vte2-0.28.2-lp150.2.1.src.rpm
Packager: https://bugs.opensuse.org
Url: http://www.gnome.org
Summary: Terminal Emulator Library
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Mon Mar 05 2018 jengelh@inai.de
  - Fix SRPM group. Update summaries.
* Mon Feb 26 2018 dimstar@opensuse.org
  - Use SPDX3.0 license tags and package COPYING as %license.
  - Modernize spec file using spec-cleaner.
* Wed May 31 2017 zaitor@opensuse.org
  - Drop libgladeui-1_0-devel BuildRequires and stop passing
    - -enable-glade-catalogue to configure, no longer build glade
    integration.
  - Following the above, drop glade3-catalog-vte subpackage and
    obsolete it from develpackage to ensure it will be removed from
    users systems.
* Wed Sep 14 2016 develop7@develop7.info
  - add vte-0.28.2-paste-fix.patch: fixes adding extra characters
    when pasting to terminal (rh#1114301 bgo#729533 deb#734571).
* Fri May 27 2016 idonmez@suse.com
  - Update to GNOME 3.20.2 FATE#318572
  - Fixes bsc#979317
* Wed Sep 23 2015 dimstar@opensuse.org
  - Drop gnome-pty-helper requires: this script is no longer used
    in GNOME 3.18.0.
* Fri Jul 19 2013 dimstar@opensuse.org
  - No longer provide introspection support for Vte 0.0 (nothing
    really depends on it, most packages expect Vte 2.90 typelibs):
    + Pass --disable-introspection to configure instead of
    - -enable-introspection.
    + Drop typelib-1_0-Vte-0_0 subpackage and no longer require it
      from the -devel package.
* Tue Nov 06 2012 dimstar@opensuse.org
  - Fix typo in tag line of vte-CVE-2012-2738.patch.
* Wed Jul 25 2012 vuntz@opensuse.org
  - Add vte-CVE-2012-2738.patch: fix potential DoS through malicious
    escape sequences. Fix bnc#772761, CVE-2012-2738.
* Thu May 17 2012 dimstar@opensuse.org
  - Add vte-keymaps.patch: keymap: Treat ALT as META. [bnc#754350,
    bgo#663779].
* Thu Dec 08 2011 dimstar@opensuse.org
  - Split typelib file into typelib-1_0-Vte-0_0 subpackage.
  - Add typelib-1_0-Vte-0_0 Requires to devel subpackage.
* Fri Sep 02 2011 vuntz@opensuse.org
  - Update to version 0.28.2:
    + Dist correct gtk-doc API docs
    + Updated translations.
* Fri Sep 02 2011 vuntz@opensuse.org
  - Remove support from vte source package, since new versions of
    vte are GTK+ 3 only, and so we need to keep this old version just
    for GTK+ 2.
  - Remove build_for_gtk2 and build_glade_catalog macros, and keep
    things as they were both set to 1.
* Wed Jun 15 2011 vuntz@opensuse.org
  - Update to version 0.28.1:
    + bgo#652124: malicious escape sequence causes gnome-terminal to
      exhaust memory
    + Updated translations.
* Wed May 18 2011 vuntz@opensuse.org
  - Drop rpmlintrc as the new path for gnome-pty-helper is now known
    by the permissions system.
* Thu May 05 2011 vuntz@opensuse.org
  - Use %set_permissions instead of deprecated %run_permissions in
    %post of gnome-pty-helper.
  - Move %verify_permissions to %verifyscript of gnome-pty-helper.
  - Only put gnome-pty-helper scriptlets if %{build_for_gtk2} is not
    set, since we don't build gnome-pty-helper when building for
    gtk2.
* Wed Apr 27 2011 vuntz@opensuse.org
  - Split gnome-pty-helper in its own package, and stop installing it
    in a non-default libexecdir: it is needed by both gtk2 and gtk3
    versions of vte, and we don't want to have it twice. So only keep
    the one we get with the gtk3 build.
  - Add Requires for gnome-pty-helper to libvte9 and libvte2_90.
  - Update rpmlintrc accordingly.
* Mon Apr 04 2011 fcrozat@novell.com
  - Update to version 0.28.0:
    + bgo#642184: vte does not build against new glade (with
      gladeui-2.0).
    + Updated translations.
  - Changes with version 0.27.90:
    + Remove gsettings .enums.xml.
    + Fix shrinking terminal on gtk3
    + Updated translations.
  - Changes with version 0.27.5:
    + Fix build with recent GTK+
    + Updated translations.
  - Changes with version 0.27.4:
    + Fix build with recent GTK+
    + Introspection fixes for fork_command_full
    + Updated translations.
  - Changes with version 0.27.3:
    + Add a gsettings .enums.xml file for vte's enum types
    + Fix build with latest gtk 3
    + Fix introspection annotations and require gobject-introspection 0.9.0
    + Bugs fixed: bgo#628870.
    + Updated translations.
  - Changes with version 0.27.2:
    + GTK+ 3 fixes.
    + Updated translations.
  - Changes with version 0.27.1:
    + Bugs fixed:
    - bgo#631589: Pass the correct TERM value inside envp when
      spawning
    - bgo#631903: Report correct minimum/natural sizes for GTK+ 3
    - bgo#632257: vte leaks FDs
    + Updated translations.
  - Add pre_checkin.sh to build gtk2 and gtk3 version of the package
    and add some macros to handle dual gtk2 / gtk3 packages.
  - Differences between gtk2 / gtk3 packages:
    + Pass --with-gtk=2.0/--with-gtk=3.0 to configure as appropriate.
    + python-vte is only built for gtk2, as introspection is used for
      gtk3.
  - Disable glade catalogue build for gtk3 with build_glade_catalog
    macro, as we don't have a gtk3-powered glade right now.
  - Remove %py_requires from main package since we don't build a vte
    binary package.
  - Add rpmlintrc files to avoid a permissions-file-setuid-bit error
    that makes the build fail. Security team will review that
    (bnc#690202).
* Tue Nov 16 2010 dimstar@opensuse.org
  - Update to version 0.26.2:
    + bgo#632257: Plug FD leak.
* Tue Nov 16 2010 aj@suse.de
  - Use group utmp for gnome-pty-helper (bnc#652877).
* Wed Oct 13 2010 vuntz@opensuse.org
  - Update to version 0.26.1:
    + Pass the correct TERM value inside envp when spawning.
    + bgo#631589: set_emulation does not work in the python bindings
* Tue Oct 05 2010 vuntz@opensuse.org
  - Split vte according to the shared library policy (bnc#634199):
    + create libvte9, vte-tools, python-vte, glade3-catalog-vte
      subpackages.
    + add Provides/Obsoletes for vte to libvte9, for migration and
      for the lang package
    + use Recommends for the lang package in libvte9
    + add glade3 Requires to glade3-catalog-vte, as well as a
      Supplements for packageand(glade3:vte-devel) for automatic
      installation for people who are developing with VTE.
    + use {_libexecdir}/libvte9 as libexecdir, to potentially have
      multiple versions of gnome-pty-helper parallel-installable (the
      protocol used between the helper and vte could change).
  - The glade3-catalog-vte subpackage is part of bnc#637694.
  - Remove explicit Requires of devel packages in vte-devel: they
    will be added automatically the pkgconfig() way.
  - Update summaries and descriptions.
* Mon Sep 27 2010 vuntz@opensuse.org
  - Update to version 0.26.0:
    + Clarify TERM env var handling with VtePty.
    + Build fixes.
    + Updated translations.
* Sun Aug 29 2010 dimstar@opensuse.org
  - Update to version 0.25.91:
    + bgo#627764: mismanaged GtkStyle lifecycle
    + bgo#601926: Don't hardcode meta to alt
    + Various build fixes.
    + Updated translations
* Tue Aug 24 2010 vuntz@opensuse.org
  - Add gobject-introspection-devel BuildRequires and pass
    - -enable-introspection to configure to build introspection
    support.
* Mon Aug 16 2010 dimstar@opensuse.org
  - Update to version 0.25.90:
    + Make vte parallel-buildable with gtk 2 and gtk 3
    + Bugs fixed:
    - bgo#617690: Setting default fg color should not cancel
      underline
    - bgo#614658: text selection with mouse is buggy when using
      the shift key
    - bgo#618749: set terminal widget background color to terminal
      background
    - bgo#601926: Don't hardcode meta to alt
    - bgo#618097: Broken backtab (cbt)
    - bgo#621298: Cursor invisible (plain black) in (xfce) Terminal
      & terminator
    - bgo#626676: Cleanup vte_terminal_determine_colors
    - bgo#620493: strict aliasing warning
    + Translation updates.
* Tue Jul 13 2010 dimstar@opensuse.org
  - Update to version 0.25.1:
    + Add support for searching the buffer. New public API:
    - vte_terminal_search_[sg]et_regex
    - vte_terminal_search_find_(previous|next)
* Wed Jun 23 2010 dimstar@opensuse.org
  - Update to version 0.24.2:
    + Fix reversed logic for saturation level of background.
    + Build fixes.
    + Updated translations.
* Thu Apr 29 2010 dimstar@opensuse.org
  - Update to version 0.24.1:
    + bgo#613525: current git head does not build (undefined
      reference to XGetGeometry)
    + bgo#614469: Does no longer compile with -DX_DISPLAY_MISSING
    + bgo#615417: Reversed and one error saturation level in 0.24.0
  - Drop vte-0.24.0-no-transparent-background-bnc594590.patch,
    merged a more complete patch.
* Tue Apr 13 2010 andrea@opensuse.org
  - Add vte-0.24.0-no-transparent-background-bnc594590.patch to fix
    segfaults on programs using vte (lxterminal, gnome-terminal)
    with a transparent background. Fix bnc#594590.
* Mon Mar 29 2010 vuntz@opensuse.org
  - Update to version 0.24.0:
    + Updated API docs
    + Cache backgrounds as cairo surfaces
    + Updated translations.
  - Add libgladeui-1_0-devel BuildRequires and pass
    - -enable-glade-catalogue to configure to build the glade catalog.
  - Use libexedir instead of prefix/lib.
* Thu Jan 14 2010 captain.magnus@opensuse.org
  - Update to version 0.23.5:
    + Fix unintented soversion bump
  - Changes from version 0.23.4:
    + Add public API vte_terminal_write_contents()
    + Update docs
* Thu Jan 14 2010 captain.magnus@opensuse.org
  - Update to version 0.23.3:
    + Disable symbol deprecation stuff since they were broken
    + Merge pangocairo draw impl into vtedraw
    + bgo#534526 - Flickering when resizing a vte widget
    + bgo#605299 - Please support xterm bracketed paste mode
* Tue Dec 22 2009 vuntz@opensuse.org
  - Update to version 0.23.2:
    + Fix overflow with unlimited scrollback lines
    + Require glib >= 2.22.0
    + Deprecate vte_terminal_get_padding
    + Add VteTerminal::inner-border style property
    + vteapp: Add --cursor-shape option
    + Bugs fixed:
    - bgo#604966 - Fix "select all" to include text occurring after
      the visible region
    - bgo#604135 - [PATCH] fix behaviour of set-scrolling-region
    - bgo#603733 - Remove deprecated Glib symbol
    - bgo#603713 - ibeam/underline cursor broken with large
      inner-border
    - bgo#471920 - Expose the border width property
    - bgo#601265 - gnome-terminal assert failure:
      table.c:723:_vte_table_match
    - revert fix for bgo#591648 - Don't clear the screen when
      switching to the alternate screen
* Sat Nov 14 2009 vuntz@opensuse.org
  - Update to version 0.23.1:
    + Various crash and bug fixes
    + Rework mouse selection to be more robust.  In particular,
      PRIMARY selection now only changes when mouse button is
      released, not upon every motion when selecting.
    + Interpret and document negative number of scrollback lines as
      infinite
    + We now chain unhandled motion-notify events up such that the
      parent widget can give them a shot.
    + Bugs fixed:
    - bgo#597604 - assertion failed: (_vte_ring_contains (ring,
      position))
    - bgo#598124 - The selection does not only change when the
      mousebutton is released
    - bgo#598090 - LMB Mouse up event not registered when opining
      context popup menu
    - bgo#587463 - "select all"+copy from gnome-terminal includes
      lines no longer in scrollback
    - bgo#585370 - Incomplete disabling of python
    - bgo#597242 - libvte color and cursor glitches
    - bgo#591648 - Don't clear the screen when switching to the
      alternate screen
    - bgo#595445 - Motion notify events are not propagated to
      parent widget
    - bgo#569184 - vte generates unnecessary ioctl(I_FIND) kernel
      warnings
    - bgo#599444 - Scrollback index type mess
    - bgo#598814 - text.getText(0, -1) triggers assertion in
      vteaccess.c
    - bgo#596739 - Python bindings leak memory
    - bgo#597165 - void return in vte.c
    - bgo#587894 - the environment passing with python does no
      longer work
* Tue Sep 29 2009 dimstar@opensuse.org
  - Update to version 0.22.2:
    + Fix crash introduced in previous release
    + Fix a11y assertion failure
    + Improve selection at the end of row
    + bgo#596444 - word-select includes \n when the word ends at the
      edge of the terminal
    + bgo#596460 - 0.22.1 kills vte based apps
    + lp#435646 - gnome-terminal assert failure.
* Mon Sep 28 2009 dimstar@opensuse.org
  - Update to version 0.22.1:
    + bgo#596365 - libvte crashes when issueing 'reset' in a terminal
    + bgo#588033 - background tabs may lose lines off the bottom of
      the scrollback
    + bgo#596163 - Doesn't display expected background color in
      ncurses apps
    + bgo#596011 - Problem compiling vte 0.22.0 on Solaris
  - Changes from previous versions:
    + Fix tab and wide-char handling
    + Another rewrite of the ring.  Stores ring data on tmp files on
      disk now.
* Wed Sep 09 2009 vuntz@opensuse.org
  - Update to version 0.21.5:
    + Finish ring rewrite.  Scrollback buffer consumes ten times less
      memory now, and better, doesn't allocate from the heap, so
      closing tabs actually releases memory.
* Fri Aug 28 2009 dimstar@opensuse.org
  - Update to version 0.21.4:
    + Remove another stale assert()
    + Oops, use the right map decoding function is iso2022 code
  - Changes from version 0.21.3:
    + Really fix the ring this time
    + Enable g_assert().  May trigger some bogus ones now
  - Changes from version 0.21.2:
    + bgo#592990 - gnome terminal crashes with glibc detected.
* Tue Aug 25 2009 dimstar@opensuse.org
  - Update to version 0.21.1:
    + Redesigning the vte buffer ring is going on.  Please report any
      misbehavior
    + Bugs fixed in this release:
    - bgo#590824 - gnome-terminal crashed with SIGSEGV after hiting
      ctrl+o
    - bgo#572230 - text mode program rendering is strange in cjk
      locale.
    - bgo#588200 - bashisms in shell scripts
* Wed Jun 10 2009 vuntz@novell.com
  - Update to version 0.20.5:
    + Followup release to undo unintentded .soname bump.
* Tue Jun 02 2009 vuntz@novell.com
  - Update to version 0.20.4:
    + New enum value VTE_ERASE_TTY.
    + Make VTE_ERASE_AUTO send \H for backspace if terminal erase is
      undefined.
    + bgo#584281 - build: avoid double installation of xterm
    + bgo#543379 - VTE sends NUL/^@ for backspace
* Wed May 27 2009 vuntz@novell.com
  - Update to version 0.20.3:
    + bgo#583129 - [python] allow passing None as command or
      directory option
    + bgo#583078 - [python] allow passing of environment as a
      dictionary
* Tue May 05 2009 vuntz@novell.com
  - Update to version 0.20.2:
    + bgo#567064 - Work around buggy iconv
* Tue Apr 14 2009 vuntz@novell.com
  - Update to version 0.20.1:
    + bgo#574491 – gnome-pty-helper can prevent volumes from being
      unmounted
    + bgo#576504 – vte does not pass its testsuite.
    + bgo#573674 – reset resets width to 80 chars
    + bgo#576797 – Double-click sometimes stops working
* Mon Mar 16 2009 sbrabec@suse.cz
  - Added support for translation-update-upstream (FATE#301344).
* Sun Mar 15 2009 vuntz@novell.com
  - Update to version 0.20.0:
    + Support using a real bold font instead of pseudo-bolding
    + Respond to fontconfig configuration changes
    + Bugs fixed: bgo#54926, bgo#570208, bgo#548272, bgo#565688,
      bgo#566795, bgo#524170, bgo#566730, bgo#565679, bgo#565675,
      bgo#565663, bgo#575398, bgo#574616, bgo#574025
  - Remove -fno-strict-aliasing from CFLAGS.
  - Remove unneeded BuildRequires: gtk-doc, update-desktop-files
  - Merge -doc into -devel as it only contained gtk-doc

Files

/usr/lib64/libvte.so.9
/usr/lib64/libvte.so.9.2800.2
/usr/share/doc/packages/libvte9
/usr/share/doc/packages/libvte9/AUTHORS
/usr/share/doc/packages/libvte9/ChangeLog
/usr/share/doc/packages/libvte9/NEWS
/usr/share/doc/packages/libvte9/README
/usr/share/licenses/libvte9
/usr/share/licenses/libvte9/COPYING
/usr/share/vte
/usr/share/vte/termcap-0.0
/usr/share/vte/termcap-0.0/xterm


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Feb 10 06:26:16 2020